@echo off
cls
echo.
echo.
echo Starte DSL Test-Skript, (C) 2012 by LuftEngineering GmbH
echo.
echo Dieser Test dauert ca. 1-2 Minuten, bitte warten Sie....
echo.

set YEAR=%date:~-4%
set MON=%date:~-7,2%
set DAY=%date:~-10,2%

rem Anzahl ICMP packets
set PCOUNT=4

rem Test server
set TEST1=212.9.160.1
set TEST2=www.google.de
set TEST3=www.web.de
set TEST4=www.gmx.de
set TEST5=www.spiegel.de
rem beliebige Kundensysteme
set TEST6=my.system.de

echo.
echo Windows Netzwerk Konfiguration
echo.
ipconfig -all | findstr /R "[0-9]*\.[0-9]*\.[0-9]*\.[0-9] adapter Description"
echo.

set DNS1=8.8.8.8

set LOG=DSL-Test_%YEAR%%MON%%DAY%.LOG

echo Wechsel in Verzeichnis %USERPROFILE%\Desktop
%USERPROFILE:~,2%
cd %USERPROFILE%\Desktop
echo Wechsel in das Verzeichnis %CD% erfolgt


echo #################################################### >> %LOG%
echo ### Starte Testskript %date% %time% >> %LOG%
echo #################################################### >> %LOG%
ipconfig -all >> %LOG%
echo. >> %LOG%

route print >> %LOG%
echo. >> %LOG%

For %%f In (%LANGW% %DNS1% %DNS2% %BRAS% %TEST1% %TEST2% %TEST3% %TEST4% %TEST5%) Do (
	IF NOT [%%f]==[] (
		echo Starte Test %%f
		echo #################################################### >> %LOG%
		echo ### Start %%f %date% %time% >> %LOG%
		IF NOT [%%f]==[%LANGW%] nslookup %%f >> %LOG% 2> NUL
		tracert -d %%f >> %LOG% 2> NUL
		ping -n %PCOUNT% -f %%f >> %LOG%
		ping -n %PCOUNT% -f -l  512 %%f >> %LOG%
		ping -n %PCOUNT% -f -l 1024 %%f >> %LOG%
		ping -n %PCOUNT% -f -l 1452 %%f >> %LOG%
		echo. >> %LOG%
		echo Beende Test %%f
	)
)

echo #################################################### >> %LOG%
echo ### End script %date% %time% >> %LOG%
echo #################################################### >> %LOG%
echo. >> %LOG%

cls
echo.
echo.
echo Das Ergebnis befindet sich auf Ihrem Desktop als Datei %CD%\%LOG% 
echo.
echo Bitte geben Sie diese Datei dem Supporter von LuftEngineering !
echo.

pause